.youtube {
  background-color: #efefef;
  position: relative;
  padding-top: 56.25%;
  overflow: hidden;
  cursor: pointer;
}
.youtube:hover .play-button {
  width: 160px;
  height: 160px;
}
.youtube .play-button {
  width: 140px;
  height: 140px;
  background-color: #000;
  z-index: 1;
  opacity: 0.8;
  border-radius: 100%;
  -webkit-transition: width 0.2s, height 0.2s;
  transition: width 0.2s, height 0.2s;
}
.youtube .play-button:before {
  content: "";
  border-style: solid;
  border-width: 25px 0 25px 40px;
  border-color: transparent transparent transparent #fff;
}
.youtube img {
  width: 100%;
  top: 0;
  left: 0;
}
.youtube img,
.youtube .play-button {
  cursor: pointer;
}
.youtube iframe {
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  position: absolute;
}
.youtube img,
.youtube iframe,
.youtube .play-button,
.youtube .play-button:before {
  position: absolute;
}
.youtube .play-button {
  top: 50%;
  left: 50%;
  -webkit-transform: translate3d(-50%, -50%, 0);
          transform: translate3d(-50%, -50%, 0);
}
.youtube .play-button:before {
  top: 50%;
  left: 52%;
  -webkit-transform: translate3d(-50%, -50%, 0);
          transform: translate3d(-50%, -50%, 0);
}

p:has(iframe) {
  padding-top: 56%;
  position: relative;
}